Download it now!
Bug 127317 - Make text of tips of the day selectable
Summary: Make text of tips of the day selectable
Status: REOPENED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.3.0.1 rc
Hardware: All All
: medium enhancement
Assignee: Heiko Tietze
URL:
Whiteboard: target:6.4.0 target:6.3.3 target:6.3.4
Keywords:
: 135113 (view as bug list)
Depends on: 127537
Blocks: Tip-Of-The-Day
  Show dependency treegraph
 
Reported: 2019-09-03 20:03 UTC by Stanislav Horacek
Modified: 2020-09-02 06:34 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stanislav Horacek 2019-09-03 20:03:58 UTC
Texts of the tips of the day, introduced in 6.3 and shown in a dialog after the application startup in a day, cannot be selected by mouse and copied to clipboard. This is not too handy because user needs to remember or rewrite the tip to investigate and reproduce it.
Comment 1 Roman Kuznetsov 2019-09-05 19:39:49 UTC
+1 from me

Heiko?
Comment 2 Heiko Tietze 2019-09-06 08:44:41 UTC
Xisco, please make some stats on how quickly bugs are fixed :-)
(This one was very simple)
Comment 3 Commit Notification 2019-09-06 08:45:16 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/54a3044ebd7f946235ba1d0a8af11ad94872afb7%5E%21

Resolves tdf#127317 - Make text of tips of the day selectable

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2019-09-06 12:02:03 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/729ba6b6f79884cdd4a24bc9326a06a2c319fc04%5E%21

Resolves tdf#127317 - Make text of tips of the day selectable

It will be available in 6.3.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Heiko Tietze 2019-09-13 08:56:39 UTC
Have to revert the patch since selectable text make the label not wrap anymore. When this issue is solved I'll submit again.
Comment 6 Commit Notification 2019-09-13 12:26:51 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/22f3cca81039ac97bee96ba47498fbea1ccc1557%5E%21

Revert "Resolves tdf#127317 - Make text of tips of the day selectable"

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 kabilo 2019-10-23 11:29:02 UTC
selection not possible in

Version: 6.4.0.0.alpha1+ (x64)
Build ID: 475165e431b5392e426db0de4cea50efc2513875
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: default; VCL: win; 
Locale: cs-CZ (cs_CZ); UI-Language: en-US
Calc: CL
Comment 8 Commit Notification 2019-11-15 10:12:56 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/b402568d460091c89daf06897dbd050f8ed980fd

Revert "Resolves tdf#127317 - Make text of tips of the day selectable"

It will be available in 6.3.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Alexander Shopov 2019-12-02 10:01:11 UTC
Subscribing to the ticket as it affects me. It seems that currently the simple change toggles between the label being selectable but not wrapped and non selectable but wrapped and shown in full.
While it is possible to scroll and see the full contents when the label is selectable it is very inconvenient and hard to discover. If not possible to satisfy both criteria - showing the tip in full should have priority IMHO. Perhaps some change is necessary on the container to accommodate this.
Comment 10 Heiko Tietze 2019-12-02 10:06:07 UTC
(In reply to Alexander Shopov from comment #9)
> While it is possible to scroll and see the full contents...

If you are talking about bug 128524, the wordwrap works now (selectable on was the reason for this bug).
Comment 11 Adolfo Jayme 2020-09-02 06:34:34 UTC
*** Bug 135113 has been marked as a duplicate of this bug. ***